package es.vass.cross.browser.test;

import java.io.InputStream;
import java.util.Properties;

public class CrossBrowserTestProperties {
	protected Properties _propiedades;
	private static CrossBrowserTestProperties _instancia = null;

	
	protected void configura() throws Exception
	{
		InputStream is = null;


		is = getClass().getClassLoader().getResourceAsStream("cross_browser_test.properties");
		_propiedades = new Properties();
		_propiedades.load(is);
	}

	
	protected CrossBrowserTestProperties() throws Exception
	{
		configura();
	}

	
	public static synchronized CrossBrowserTestProperties getInstancia() throws Exception
	{
		
		if (_instancia == null) {
			_instancia = new CrossBrowserTestProperties();
		}

		
		return _instancia;
	}

	
	public String getPropietat(String sPropiedad) throws Exception
	{
		
		return _propiedades.getProperty(sPropiedad);
	}

}
